summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-02-12 16:52:58 +0100
committerLars Wendler <polynomial-c@gentoo.org>2018-02-12 16:52:58 +0100
commitc61159067a29778ab42fa45e73913479dad19ee3 (patch)
treedeead1f2402f70cfa5853232ab975b33ae0b2c74
parentmail-client/thunderbird: bump to 52.6 to synchronize with gentoo repo (diff)
downloadmozilla-c61159067a29778ab42fa45e73913479dad19ee3.tar.gz
mozilla-c61159067a29778ab42fa45e73913479dad19ee3.tar.bz2
mozilla-c61159067a29778ab42fa45e73913479dad19ee3.zip
x11-plugins/enigmail: Synced with ::gentoo
Package-Manager: Portage-2.3.24, Repoman-2.3.6 Manifest-Sign-Key: 0x981CA6FC
-rw-r--r--x11-plugins/enigmail/Manifest31
-rw-r--r--x11-plugins/enigmail/enigmail-1.9.9.ebuild4
-rw-r--r--x11-plugins/enigmail/enigmail-2.0_beta1.ebuild83
-rw-r--r--x11-plugins/enigmail/enigmail-9999.ebuild13
4 files changed, 110 insertions, 21 deletions
diff --git a/x11-plugins/enigmail/Manifest b/x11-plugins/enigmail/Manifest
index 8376b34..7c2d13a 100644
--- a/x11-plugins/enigmail/Manifest
+++ b/x11-plugins/enigmail/Manifest
@@ -1,21 +1,22 @@
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
-DIST enigmail-1.9.8.3.tar.gz 1776756 SHA256 53d6b29061058d81a76db51c73d3bfa92425530e92f92b940ba2eca6b3dbfc38 SHA512 d8c08b1824352353c7596750b801604f7216bc5a138563b1fbd5fb890901e9c7c03cb2df099c9158d6bf3125fa17c900f65fb21bc40a8ced67a6812cdc0e02d9 WHIRLPOOL 97441938834ae60261adc4c621e9d3f567a645e4785818218b1112956a514ed11466f7caa46eb1dcad4e31fb4ac4ab685fe8be717f1087e3cc866ec2081a2145
-DIST enigmail-1.9.9.tar.gz 1787556 SHA256 e6993acf8b8745dc787f3506888bf22317ddab3741912aac0bb659d1631758e3 SHA512 39b37305362c88527d897ed95aa9d8457137d5f026359d19b838ab9df531c14099e157afdc8fefae78a6fa2ddded8dbfbeaf84eb91ac6cfbb05ae808731da2cb WHIRLPOOL 4ef48ec5ebf4b78d08f90fddd2ab52bdaf4c3694cc938ef1b7b933c79da55ab48c0a8e2b4d5d659a0326be40fef762ab75cb097d3fc06105a39616909e8d7e59
+DIST enigmail-1.9.8.3.tar.gz 1776756 BLAKE2B 3de3c81b5bd1c79583ea32f79c3654337417f42f1cd11ee7df5e6b1064144eac584ba8d7368834910b9e460deb9c2d150940efdcef61c5f67803067201049e6e SHA512 d8c08b1824352353c7596750b801604f7216bc5a138563b1fbd5fb890901e9c7c03cb2df099c9158d6bf3125fa17c900f65fb21bc40a8ced67a6812cdc0e02d9
+DIST enigmail-1.9.9.tar.gz 1787556 BLAKE2B 729cf7e404b4cc5d964df476e627b476916cd6c834ce5f220a26738bc32eabbd9fd2c4c3cbaccef6e1d8c4b5b7313b54278a4170808f8b722443b338fda87b55 SHA512 39b37305362c88527d897ed95aa9d8457137d5f026359d19b838ab9df531c14099e157afdc8fefae78a6fa2ddded8dbfbeaf84eb91ac6cfbb05ae808731da2cb
+DIST enigmail-2.0-beta1.tar.gz 2116808 BLAKE2B a539e7bf97e12327ae2a7e9fafdc2ad4298f9dd602333aa6d414b4c6770b3279cc0c9e100cb3be6be86c49f17b4c76759676efc963fe04e8fe522a8aad345f47 SHA512 ddbf540c0d628c19c7ddbcd01686dcdec53385113367e9f3ef683e3ebc97e17cbdbe62e7623b7b1be41967f47cd430b4f2d2fba1d0a86773c836ffc6ceb8f548
-----BEGIN PGP SIGNATURE-----
-iQIzBAEBCgAdFiEEWCOBmo8i7LhvVmNAVx3S0DQ8YDkFAlo5DoAACgkQVx3S0DQ8
-YDnkZw//RhwOh4pdjHBRlr/Ges7eQ8LCKw12FmdfqUjAHjaQ6/jol053bJobtGMx
-i/AOopsFXGKZlH7pWTmqn4wYUl6aMcWmaHCjBcu88ygvD9HOOZnjTgxaDCzqeIx9
-DhUDlUkWXh9dli8uLEuZjexvRsrD+e3Ltpj8A6NtNTn4MitrQIuznM4aQOI5AUl0
-iQrvwHiQDBAL+Rqa272L/jtLro8AB7QHCV7Sehammh3LpCdiXHcfzgZBLZW0E4FN
-H27HfXXm/Y3BQYntoKlWB33wFxFv0BNm5H2NaSmh6EJd1Akidw4Se9gF95gBhHfc
-ORgzGhApNninFgJSRuPxQwFckdtCBajxUgunI8yU9wsB6CLwhXk9AykY9Pf/azSy
-2g65LkG/dYoGFLFQC2IKlAHb54W16+7AGw+bZBYQsZpV68jB3zWpnbNr1sKA+7CU
-ljpNYS5pki9w3mn4dOXUOg1pQjZjGF1xaYmjyuYS/tDI659rvKGCEngs8m57Wxc8
-89e4Jii9IvIcEqDOm0F4kgWKvwhQDSi6Zs4Jb3Zdhg8f62TIuvETFqyf2yJmRckg
-hQ5WQpr0YxO7rvEZ3UOpq4hUOAVs9fMPOLuWBM2oWETllRd7fmLG6ZfCTlJK/xm6
-DFCF/vFUz75LVJafu2AAqWcGfgRCAwF+FivqT3tF/fofR/0/nVs=
-=K6Rm
+iQIzBAEBCgAdFiEEWCOBmo8i7LhvVmNAVx3S0DQ8YDkFAlqBuFoACgkQVx3S0DQ8
+YDn/Xg/9GTvCLO8r+C2/qUHVoEY38IijJTFRqWtJd8YygX4/T7u/RU4ycsMK+dOv
+UK8JIaAlgQvHrJNLZcM98omu1+bSwmWeO0YhQuCagdAqxUhHq3N/IsCM99vn9xp4
+z1k5W37bc5nP30diOkc0wK3QqJkHm9jz2GvG7MW57AGJLJlaBqXMMU4EY5iFxunY
+PInypblj8zBWPuIR0TzlNK+D7UD8pMhArEyH60yu0wRgIt4YYqIX3xGIeoubjFTU
+VbQBfvgorkmnXDDzPUAbuv/ZxFVNkzV+f6nndbqUDHhETAtPjx5hRjZVxRXviEsl
+k0+sQaoUJ0ciA7IX2DUanXqZkjHabwzGcO6+kFIZMZDq4+BvjJon26LlAp5d7iBv
+bO6gYrGENjOprBS+C+WdxWc8GfzVUUawNCEiSilhEm4LgWsCubod2nJjpY0hrxU+
+xNChjnFt+kGcxHfrEpGDBMdZg37sCCzH/F1pPBMa22zmtqzPVO9b4MCePSZ2X+Ox
+Oq/78HLW9XgXnzXVbAnzCaor782blfW2PNljSZgU0UZji/SarbOH0i/tWdGG/9TI
+VXZ37zppNnUGn8p9Nzas3MWKlO6xgbE2GJ7I6vIdkoOKNtyHo2MYLxuIc+ZpRFlZ
+/40xWbJDabbRY+Jnjlh1mHToQPAAp85PQXECVxSQkbxN4zpQvfM=
+=PlWY
-----END PGP SIGNATURE-----
diff --git a/x11-plugins/enigmail/enigmail-1.9.9.ebuild b/x11-plugins/enigmail/enigmail-1.9.9.ebuild
index f51f9c9..33df43d 100644
--- a/x11-plugins/enigmail/enigmail-1.9.9.ebuild
+++ b/x11-plugins/enigmail/enigmail-1.9.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -9,7 +9,7 @@ inherit python-any-r1
DESCRIPTION="Mozilla extension to provide GPG support in mail clients"
HOMEPAGE="http://www.enigmail.net/"
-KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ppc ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
SLOT="0"
LICENSE="MPL-2.0 GPL-3"
IUSE=""
diff --git a/x11-plugins/enigmail/enigmail-2.0_beta1.ebuild b/x11-plugins/enigmail/enigmail-2.0_beta1.ebuild
new file mode 100644
index 0000000..9e8d0cb
--- /dev/null
+++ b/x11-plugins/enigmail/enigmail-2.0_beta1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-any-r1
+
+DESCRIPTION="Mozilla extension to provide GPG support in mail clients"
+HOMEPAGE="http://www.enigmail.net/"
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-3"
+IUSE=""
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.code.sf.net/p/enigmail/source"
+ S="${WORKDIR}/${P}"
+else
+ if [[ ${PV} = *_beta* ]] ; then
+ SRC_URI="http://www.enigmail.net/download/beta/${P/_/-}.tar.gz"
+ else
+ SRC_URI="http://www.enigmail.net/download/source/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+ fi
+ S="${WORKDIR}/${PN}"
+fi
+
+RDEPEND="|| (
+ ( >=app-crypt/gnupg-2.0
+ || (
+ app-crypt/pinentry[gtk(-)]
+ app-crypt/pinentry[qt4(-)]
+ app-crypt/pinentry[qt5(-)]
+ )
+ )
+ =app-crypt/gnupg-1.4*
+ )
+ !<mail-client/thunderbird-52.5.0
+ !<www-client/seamonkey-2.49.5.0_p0
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ app-arch/zip
+ dev-lang/perl
+ "
+
+src_compile() {
+ emake ipc public ui package lang stdlib
+ emake xpi
+
+}
+
+src_install() {
+ local emid=$(sed -n '/<em:id>/!d; s/.*\({.*}\).*/\1/; p; q' build/dist/install.rdf)
+ [[ -n ${emid} ]] || die "Could not scrape EM:ID from install.rdf"
+
+ mv build/enigmail*.xpi build/"${emid}.xpi" || die 'Could not rename XPI to match EM:ID'
+
+ # thunderbird
+ insinto "/usr/share/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}"
+ doins build/"${emid}.xpi"
+
+ # seamonkey
+ insinto "/usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+ doins build/"${emid}.xpi"
+}
+
+pkg_postinst() {
+ local peimpl=$(eselect --brief --colour=no pinentry show)
+ case "${peimpl}" in
+ *gtk*|*qt*) ;;
+ *) ewarn "The pinentry front-end currently selected is not one supported by thunderbird."
+ ewarn "You may be prompted for your password in an inaccessible shell!!"
+ ewarn "Please use 'eselect pinentry' to select either the gtk or qt front-end"
+ ;;
+ esac
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "Please restart thunderbird and/or seamonkey in order for them to use"
+ elog "the newly installed version of enigmail."
+ fi
+}
diff --git a/x11-plugins/enigmail/enigmail-9999.ebuild b/x11-plugins/enigmail/enigmail-9999.ebuild
index ec95bc9..66f465a 100644
--- a/x11-plugins/enigmail/enigmail-9999.ebuild
+++ b/x11-plugins/enigmail/enigmail-9999.ebuild
@@ -1,23 +1,28 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 )
-inherit git-r3 python-any-r1
+inherit python-any-r1
DESCRIPTION="Mozilla extension to provide GPG support in mail clients"
HOMEPAGE="http://www.enigmail.net/"
-KEYWORDS=""
SLOT="0"
LICENSE="MPL-2.0 GPL-3"
IUSE=""
if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
EGIT_REPO_URI="https://git.code.sf.net/p/enigmail/source"
S="${WORKDIR}/${P}"
else
- SRC_URI="http://www.enigmail.net/download/source/${P}.tar.gz"
+ if [[ ${PV} = *_beta* ]] ; then
+ SRC_URI="http://www.enigmail.net/download/beta/${P/_/-}.tar.gz"
+ else
+ SRC_URI="http://www.enigmail.net/download/source/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+ fi
S="${WORKDIR}/${PN}"
fi